<?php
include("cap.php");
   $file=array();
   $d=opendir("cons/quest");
   while(($e=readdir($d))!=false)
     {
       if($e =="." || $e ==".." || $e==".htaccess" ) continue;
       $file[]=$e;
     }
   closedir($d);
rsort($file,SORT_NUMERIC);
  $cons=array();
  $cons1=array();
  $cons=file("conf/cons.txt");
  foreach($cons as $line)
    {
      $expl=explode("*",$line);
      $cons1[$expl[1]]=$expl[0];
    }
  
?>

 <TABLE class=tabcap >
 <tr ><td id=head >:: Неотвеченные вопросы ::<br /></td></tr>
</table>
 <TABLE id=info >
 <tr ><td> <br />
 Над вопросом слева данные задавшего вопрос, справа имя консультанта,
 которому адресован. Если конкретной адресации нет, появится надпись <b>Адресован любому консультанту</b><br />
 В этом случае ответить может любой консультант. Если консультант, которому вопрос адресован, не может ответить, надо переадресовать вопрос.<br />
 Переадресация выполняется в редактировании вопроса.<br />
 
 </td></tr>
 <tr ><td >
 <?php
   if(!count($file))echo " <br /><br /><font size=+1><b>Неотвеченных вопросов нет<b/></font>";
   else
     {
        foreach($file as $line)
          {
            $w=file("cons/quest/$line");
            $w[0]=trim($w[0]);
            $expl=explode("*",$w[0]);
            if($expl[4]=="")$adr="Адресован любому консультанту";
            else $adr=array_search($expl[4], $cons1);

            echo"<table  class=tab1 >
                  <tr>
                      <td><font color=#408080><b>$expl[0]&nbsp;&nbsp;$expl[1]</b></font></td>
                      <td align=right><font color=#408080><b>$adr</b></font></td>
                 </tr>
               <tr>
                      <td colspan=2>$w[1]</td>
               </tr>

                 <tr><td align=right colspan=2>
                   <a href=no_repl.php?id=$line&op=1>редактировать</a>&nbsp;&nbsp;
                   <a href=no_repl.php?id=$line&op=2>чёрный список</a>&nbsp;&nbsp;
                   <a href=no_repl.php?id=$line&op=3>удалить</a>


                 </td></tr>
               </table><br /><br />";
          }

     }

?>

</td></tr>
 </table>

